LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XPlayerNotifier Interface Reference

Interface to be implemented in order to support listener management. More...

`import"XPlayerNotifier.idl";`

Inheritance diagram for XPlayerNotifier:

## Public Member Functions
void | addPlayerListener ([in] XPlayerListener xListener)
| Interface for clients to register as XPlayerListener. More...
void | removePlayerListener ([in] XPlayerListener xListener)
| Interface for clients to unregister as XPlayerListener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to be implemented in order to support listener management.

Since
  LibreOffice 7.4

## Member Function Documentation

## ◆ addPlayerListener()

void addPlayerListener | ( | [in] XPlayerListener | xListener | ) |

Interface for clients to register as XPlayerListener.

Parameters

  xListener | The XPlayerListener interface of the listener that wants to receive events.

Invalid interfaces or NULL values will be ignored.

## ◆ removePlayerListener()

void removePlayerListener | ( | [in] XPlayerListener | xListener | ) |

Interface for clients to unregister as XPlayerListener.

Parameters

  xListener | The XPlayerListener interface of the listener that wants to receive events.

Invalid interfaces or NULL values will be ignored.

The documentation for this interface was generated from the following file:

- com/sun/star/media/XPlayerNotifier.idl